summaryrefslogtreecommitdiff
path: root/libreoffice-tango-iconset
diff options
context:
space:
mode:
authorB Stack <bgstack15@gmail.com>2020-08-02 11:43:18 -0400
committerB Stack <bgstack15@gmail.com>2020-08-02 11:43:18 -0400
commitcd5f8d1992efc46b26bcf25f91bf220651b1df34 (patch)
tree17d9277fe9b97cbcfe58738799d885a2f66a2e2e /libreoffice-tango-iconset
parentMerge branch 'notepadpp-bump' into 'master' (diff)
downloadstackrpms-cd5f8d1992efc46b26bcf25f91bf220651b1df34.tar.gz
stackrpms-cd5f8d1992efc46b26bcf25f91bf220651b1df34.tar.bz2
stackrpms-cd5f8d1992efc46b26bcf25f91bf220651b1df34.zip
add libreoffice-tango-iconset
Diffstat (limited to 'libreoffice-tango-iconset')
-rwxr-xr-xlibreoffice-tango-iconset/build-orig-tarball.sh70
-rw-r--r--libreoffice-tango-iconset/debian/README.Debian16
-rw-r--r--libreoffice-tango-iconset/debian/changelog5
-rw-r--r--libreoffice-tango-iconset/debian/control21
-rw-r--r--libreoffice-tango-iconset/debian/copyright14
-rw-r--r--libreoffice-tango-iconset/debian/libreoffice-tango-iconset+devuan.dsc14
-rw-r--r--libreoffice-tango-iconset/debian/libreoffice-tango-iconset.install7
-rw-r--r--libreoffice-tango-iconset/debian/patches/series1
-rwxr-xr-xlibreoffice-tango-iconset/debian/rules17
-rw-r--r--libreoffice-tango-iconset/debian/source/format1
-rw-r--r--libreoffice-tango-iconset/debian/source/local-options2
-rw-r--r--libreoffice-tango-iconset/debian/watch2
12 files changed, 170 insertions, 0 deletions
diff --git a/libreoffice-tango-iconset/build-orig-tarball.sh b/libreoffice-tango-iconset/build-orig-tarball.sh
new file mode 100755
index 0000000..c2f0054
--- /dev/null
+++ b/libreoffice-tango-iconset/build-orig-tarball.sh
@@ -0,0 +1,70 @@
+#!/bin/sh
+# Package: libreoffice-tango-iconset
+# Startdate: 2020-08-01 23:36
+# References: notepadpp/build-orig-tarball.sh
+# Dependencies:
+# sudo apt-get install wget curl
+
+currdir="${PWD}"
+tmpfile1="$( mktemp )"
+frontpageurl="https://extensions.libreoffice.org/en/extensions/show/tango-icon-theme-for-libreoffice"
+domain="$( echo "${frontpageurl}" | awk -F'/' 'BEGIN{OFS="/"} {print $1,$2,$3}' )"
+package_name="libreoffice-tango-iconset"
+
+# FUNCTIONS
+ferror() {
+ printf "%s\n" "$@" 1>&2
+}
+
+get() {
+ # get "https://example.com/example.zip"
+ # get "https://example.com/example.zip" "outputname.zip"
+ ___get_url="${1}"
+ ___get_outfile="${2}"
+ ___wget_options=""
+ test -n "${___get_outfile}" && ___wget_options="-o ${___get_outfile}"
+
+ test -n "${DEBUG}" && ferror "wget --quiet --content-disposition \"${___get_url}\" ${___wget_options}"
+ test -z "${DRYRUN}" && wget --quiet --content-disposition "${___get_url}" ${___wget_options}
+}
+
+to_filename() {
+ # call: to_filename "https://example.com/filename.ext"
+ # returns: "filename.ext"
+ printf "${1##*/}"
+}
+
+### Flow
+
+# check dependencies
+#which jq 1>/dev/null 2>&1 || { echo "Please install jq! Aborted." ; exit 1; }
+
+## 1. learn latest version file
+url_contents="$( curl -s "${frontpageurl}" )"
+latest_file="$( echo "${url_contents}" | awk -F'[=>]' '/class="btn".*>Download</{print $4}' | sed -r -e 's/^"//g;' -e 's/"$//g;' | head -n1 )"
+latest_version="$( echo "${url_contents}" | grep -A1 'class="releaseRow"' | grep -E '<span>[0-9\.]+</span>' | sed -r -e 's/\s*<\/?span>\s*//g;' )"
+### add domain as needed to filename
+if ! echo "${latest_file}" | grep -q "^(ht|f)tps?:\/\/" ;
+then
+ latest_file="${domain}/${latest_file}"
+fi
+
+## 2. dl it
+# WORKHERE
+get "${latest_file}"
+
+## 5. assemble orig tarball
+test -n "${DEBUG}" && ferror "mkdir -p \"${package_name}-${latest_version}\""
+test -z "${DRYRUN}" && { mkdir -p "${package_name}-${latest_version}" ; cd "${package_name}-${latest_version}" ; }
+
+test -n "${DEBUG}" && ferror "mv ../\"$( basename "${latest_file}" )\" ."
+test -z "${DRYRUN}" && mv ../"$( basename "${latest_file}" )" .
+
+test -n "${DEBUG}" && ferror "cd .."
+test -z "${DRYRUN}" && cd ..
+
+test -n "${DEBUG}" && ferror "tar -zcf \"${package_name}_${latest_version}.orig.tar.gz\" \"${package_name}-${latest_version}\""
+test -z "${DRYRUN}" && tar -zcf "${package_name}_${latest_version}.orig.tar.gz" "${package_name}-${latest_version}"
+
+# CLEAN UP
+rm -rf "${package_name}-${latest_version}/"
diff --git a/libreoffice-tango-iconset/debian/README.Debian b/libreoffice-tango-iconset/debian/README.Debian
new file mode 100644
index 0000000..d72dbf8
--- /dev/null
+++ b/libreoffice-tango-iconset/debian/README.Debian
@@ -0,0 +1,16 @@
+libreoffice-tango-iconset for Devuan
+
+Starting with LibreOffice 7.0.0 [1], the tango icon set is now absent from
+LibreOffice. The icons themselves are still available as an extension
+[2] that a user or admin can install [3]. A user then needs to change the
+view settings for icon theme to "tango."
+
+This package was adapted from debian sources including [4] and [5].
+
+[1] https://salsa.debian.org/libreoffice-team/libreoffice/libreoffice/-/blob/master/changelog
+[2] https://extensions.libreoffice.org/en/extensions/show/tango-icon-theme-for-libreoffice
+[3] https://wiki.documentfoundation.org/Documentation/HowTo/install_extension
+[4] https://salsa.debian.org/libreoffice-team/libreoffice/libreoffice/-/blob/libreoffice_6.4.5-1/control
+[5] https://snapshot.debian.org/archive/debian/20200627T204538Z/pool/main/libr/libreoffice/libreoffice-style-tango_6.4.5%7Erc1-2%7Ebpo10%2B1_all.deb
+
+ -- Ben Stack <bgstack15@gmail.com> Sun, 02 Aug 2020 08:13:21 -0400
diff --git a/libreoffice-tango-iconset/debian/changelog b/libreoffice-tango-iconset/debian/changelog
new file mode 100644
index 0000000..6ce554e
--- /dev/null
+++ b/libreoffice-tango-iconset/debian/changelog
@@ -0,0 +1,5 @@
+libreoffice-tango-iconset (1.0-1+devuan) obs; urgency=low
+
+ * Initial release. Closes: packages-want#22
+
+ -- Ben Stack <bgstack15@gmail.com> Sun, 02 Aug 2020 08:13:21 -0400
diff --git a/libreoffice-tango-iconset/debian/control b/libreoffice-tango-iconset/debian/control
new file mode 100644
index 0000000..9945685
--- /dev/null
+++ b/libreoffice-tango-iconset/debian/control
@@ -0,0 +1,21 @@
+Source: libreoffice-tango-iconset
+Section: x11
+Priority: optional
+Maintainer: Ben Stack <bgstack15@gmail.com>
+Build-Depends: debhelper-compat (= 12),
+ p7zip
+Standards-Version: 4.5.0
+Homepage: https://extensions.libreoffice.org/en/extensions/show/tango-icon-theme-for-libreoffice
+
+Package: libreoffice-tango-iconset
+Architecture: all
+Pre-Depends: ${misc:Pre-Depends}
+Depends: ${misc:Depends}
+Replaces: libreoffice-style-tango (<< 1:7.0.0)
+Description: office productivity suite -- Tango symbol style
+ LibreOffice is a full-featured office productivity suite that provides
+ a near drop-in replacement for Microsoft(R) Office.
+ .
+ This package is a custom re-build of the plugin release of the "tango"
+ symbol style that was removed as a built-in component of upstream
+ LibreOffice.
diff --git a/libreoffice-tango-iconset/debian/copyright b/libreoffice-tango-iconset/debian/copyright
new file mode 100644
index 0000000..5a7aa9b
--- /dev/null
+++ b/libreoffice-tango-iconset/debian/copyright
@@ -0,0 +1,14 @@
+Format: https://www.debian.org/doc/packaging-manuals/copyright-format/1.0/
+Upstream-Name: libreoffice-tango-iconset
+Upstream-Contact: <preferred name and address to reach the upstream project>
+Source: <url://example.com>
+#
+# Please double check copyright with the licensecheck(1) command.
+
+#----------------------------------------------------------------------------
+# huge files (skipped):
+# tango-iconset.oxt
+
+#----------------------------------------------------------------------------
+# Files marked as NO_LICENSE_TEXT_FOUND may be covered by the following
+# license/copyright files.
diff --git a/libreoffice-tango-iconset/debian/libreoffice-tango-iconset+devuan.dsc b/libreoffice-tango-iconset/debian/libreoffice-tango-iconset+devuan.dsc
new file mode 100644
index 0000000..eb4dfe4
--- /dev/null
+++ b/libreoffice-tango-iconset/debian/libreoffice-tango-iconset+devuan.dsc
@@ -0,0 +1,14 @@
+Format: 3.0 (quilt)
+Source: libreoffice-tango-iconset
+Binary: libreoffice-tango-iconset
+Architecture: all
+Version: 1.0-1+devuan
+Maintainer: Ben Stack <bgstack15@gmail.com>
+Homepage: https://extensions.libreoffice.org/en/extensions/show/tango-icon-theme-for-libreoffice
+Standards-Version: 4.5.0
+Build-Depends: debhelper-compat (= 12), p7zip
+Package-List:
+ libreoffice-tango-iconset deb x11 optional arch=all
+Files:
+ 00000000000000000000000000000000 1 libreoffice-tango-iconset.orig.tar.gz
+ 00000000000000000000000000000000 1 libreoffice-tango-iconset.debian.tar.xz
diff --git a/libreoffice-tango-iconset/debian/libreoffice-tango-iconset.install b/libreoffice-tango-iconset/debian/libreoffice-tango-iconset.install
new file mode 100644
index 0000000..1174dc6
--- /dev/null
+++ b/libreoffice-tango-iconset/debian/libreoffice-tango-iconset.install
@@ -0,0 +1,7 @@
+config.xcu /usr/lib/libreoffice/share/extensions/tango-iconset
+description.xml /usr/lib/libreoffice/share/extensions/tango-iconset
+icons /usr/lib/libreoffice/share/extensions/tango-iconset
+iconsets /usr/lib/libreoffice/share/extensions/tango-iconset
+META-INF /usr/lib/libreoffice/share/extensions/tango-iconset
+pkg-desc /usr/lib/libreoffice/share/extensions/tango-iconset
+registration /usr/lib/libreoffice/share/extensions/tango-iconset
diff --git a/libreoffice-tango-iconset/debian/patches/series b/libreoffice-tango-iconset/debian/patches/series
new file mode 100644
index 0000000..4a97dfa
--- /dev/null
+++ b/libreoffice-tango-iconset/debian/patches/series
@@ -0,0 +1 @@
+# You must remove unused comment lines for the released package.
diff --git a/libreoffice-tango-iconset/debian/rules b/libreoffice-tango-iconset/debian/rules
new file mode 100755
index 0000000..d8261ca
--- /dev/null
+++ b/libreoffice-tango-iconset/debian/rules
@@ -0,0 +1,17 @@
+#!/usr/bin/make -f
+# You must remove unused comment lines for the released package.
+#export DH_VERBOSE = 1
+#export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+#export DEB_CFLAGS_MAINT_APPEND = -Wall -pedantic
+#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
+
+%:
+ dh $@
+
+override_dh_auto_install:
+ dh_auto_install
+ 7za -aoa x tango-iconset.oxt
+
+override_dh_auto_clean:
+ dh_auto_clean
+ rm -rf $$( 7za l tango-iconset.oxt | awk 'NF==6 && $$1 ~/[0-9]{4}(-[0-9]{2}){2}/{print $$NF}' )
diff --git a/libreoffice-tango-iconset/debian/source/format b/libreoffice-tango-iconset/debian/source/format
new file mode 100644
index 0000000..163aaf8
--- /dev/null
+++ b/libreoffice-tango-iconset/debian/source/format
@@ -0,0 +1 @@
+3.0 (quilt)
diff --git a/libreoffice-tango-iconset/debian/source/local-options b/libreoffice-tango-iconset/debian/source/local-options
new file mode 100644
index 0000000..00131ee
--- /dev/null
+++ b/libreoffice-tango-iconset/debian/source/local-options
@@ -0,0 +1,2 @@
+#abort-on-upstream-changes
+#unapply-patches
diff --git a/libreoffice-tango-iconset/debian/watch b/libreoffice-tango-iconset/debian/watch
new file mode 100644
index 0000000..76575dc
--- /dev/null
+++ b/libreoffice-tango-iconset/debian/watch
@@ -0,0 +1,2 @@
+# You must remove unused comment lines for the released package.
+version=3
bgstack15